<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__flash__functions" kind="group">
    <compoundname>group_flash_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1gaf1b44a029169a1baa08e211bff714a19" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Flash_Init</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_Flash_Init</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Initiates all needed prerequisites to support flash erase/write. </para>        </briefdescription>
        <detaileddescription>
<para>Should be called from each core.</para><para>Requires a call to <ref kindref="member" refid="group__group__ipc__sema__functions_1ga1cbc3b147c650c8716de10a1ee8423bd">Cy_IPC_Sema_Init()</ref>, <ref kindref="member" refid="group__group__ipc__pipe__functions_1ga7a1c8f1e92e74f27856ef2b7ac09c640">Cy_IPC_Pipe_Config()</ref> and <ref kindref="member" refid="group__group__ipc__pipe__functions_1gafb7fa479327e6d7c282c262bc1dc6c8c">Cy_IPC_Pipe_Init()</ref> functions before use.</para><para>This function is called in the <ref kindref="member" refid="group__group__system__config__system__functions_1ga93f514700ccf00d08dbdcff7f1224eb2">SystemInit()</ref> function, for proper flash write and erase operations. If the default startup file is not used, or the function <ref kindref="member" refid="group__group__system__config__system__functions_1ga93f514700ccf00d08dbdcff7f1224eb2">SystemInit()</ref> is not called in your project, ensure to perform the following steps before any flash or EmEEPROM write/erase operations: <programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />1.<sp />Allocate<sp />and<sp />initialize<sp />IPC<sp />semaphores<sp />for<sp />the<sp />system<sp />operations<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint32_t<sp />ipcSemaArray[<ref kindref="member" refid="group__group__system__config__user__settings__macro_1gaba78bac52ffcbd69ab531467fa3caa6d">CY_IPC_SEMA_COUNT</ref><sp />/<sp /><ref kindref="member" refid="group__group__ipc__sema__macros_1ga7c011c5126248439921e442aab3c6b23">CY_IPC_SEMA_PER_WORD</ref>];</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<sp /><ref kindref="member" refid="group__group__ipc__sema__functions_1ga1cbc3b147c650c8716de10a1ee8423bd">Cy_IPC_Sema_Init</ref>(CY_IPC_CHAN_SEMA,<sp /><ref kindref="member" refid="group__group__system__config__user__settings__macro_1gaba78bac52ffcbd69ab531467fa3caa6d">CY_IPC_SEMA_COUNT</ref>,<sp />ipcSemaArray);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />2.<sp />Create<sp />an<sp />array<sp />of<sp />endpoint<sp />structures<sp />and<sp />configure<sp />an<sp />IPC<sp />pipe<sp />infrastructure<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ipc__pipe__ep__t">cy_stc_ipc_pipe_ep_t</ref><sp />ipcPipeEpArray[<ref kindref="member" refid="group__group__system__config__user__settings__macro_1ga26b976c68c4fc4e45bc7f400e97c8495">CY_IPC_MAX_ENDPOINTS</ref>];</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ipc__pipe__functions_1ga7a1c8f1e92e74f27856ef2b7ac09c640">Cy_IPC_Pipe_Config</ref>(ipcPipeEpArray);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />3.<sp />Create<sp />an<sp />array<sp />of<sp />client<sp />callbacks<sp />and<sp />initialize<sp />a<sp />system<sp />pipe<sp />by<sp />a<sp />configuration<sp />structure<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp />cy_ipc_pipe_callback_ptr_t<sp />sysIpcPipeCbArray[CY_SYS_CYPIPE_CLIENT_CNT];</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ipc__pipe__config__t">cy_stc_ipc_pipe_config_t</ref><sp />systemIpcPipeConfig<sp />=</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ep0ConfigData<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierNumber<sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_IPC_INTR_CYPIPE_EP0,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierPriority<sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_INTR_CYPIPE_PRIOR_EP0,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierMuxNumber<sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_INTR_CYPIPE_MUX_EP0,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.epAddress<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_IPC_EP_CYPIPE_CM0_ADDR,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.epConfig<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_CYPIPE_CONFIG_EP0</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ep1ConfigData<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierNumber<sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_IPC_INTR_CYPIPE_EP1,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierPriority<sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_INTR_CYPIPE_PRIOR_EP1,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierMuxNumber<sp />*/</highlight><highlight class="normal"><sp /><sp />0u,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.epAddress<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_IPC_EP_CYPIPE_CM4_ADDR,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.epConfig<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_CYPIPE_CONFIG_EP1</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.endpointClientsCount<sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_CYPIPE_CLIENT_CNT,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.endpointsCallbacksArray<sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />sysIpcPipeCbArray,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.systemPipeIsrHandler<sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />&amp;SysIpcPipeIsr</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ipc__pipe__functions_1gafb7fa479327e6d7c282c262bc1dc6c8c">Cy_IPC_Pipe_Init</ref>(&amp;systemIpcPipeConfig);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />4.<sp />And<sp />finally<sp />initialize<sp />the<sp />flash<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__flash__functions_1gaf1b44a029169a1baa08e211bff714a19">Cy_Flash_Init</ref>();</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Ensure<sp />to<sp />run<sp />these<sp />steps<sp />on<sp />all<sp />the<sp />MCU<sp />cores<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="341" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="333" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="470" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga6b9753a9fca6ebea833cbc4af7f0d681" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_EraseRow</definition>
        <argsstring>(uint32_t rowAddr)</argsstring>
        <name>Cy_Flash_EraseRow</name>
        <param>
          <type>uint32_t</type>
          <declname>rowAddr</declname>
        </param>
        <briefdescription>
<para>This function erases a single row of flash. </para>        </briefdescription>
        <detaileddescription>
<para>Reports success or a reason for failure. Does not return until the Write operation is complete. Returns immediately and reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when another process is writing to flash or erasing the row. User firmware should not enter the Hibernate or Deep Sleep mode until flash Erase is complete. The Flash operation is allowed in Sleep mode. During the Flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>rowAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash write operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="668" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="643" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="471" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga36c8da8da155cd73eaf3359f3f81af02" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_StartEraseRow</definition>
        <argsstring>(uint32_t rowAddr)</argsstring>
        <name>Cy_Flash_StartEraseRow</name>
        <param>
          <type>uint32_t</type>
          <declname>rowAddr</declname>
        </param>
        <briefdescription>
<para>Starts erasing a single row of flash. </para>        </briefdescription>
        <detaileddescription>
<para>Returns immediately and reports a successful start or reason for failure. Reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when IPC structure is locked by another process. User firmware should not enter the Hibernate or Deep Sleep mode until flash Erase is complete. The Flash operation is allowed in Sleep mode. During the flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, the low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;To avoid situation of reading data from cache memory - before reading data from previously programmed/erased flash rows, the user must clear the flash cache with the &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga1691f4df41994e7ed9c30ec6495d925f"&gt;Cy_SysLib_ClearFlashCacheAndBuffer()&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>rowAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash erase operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="729" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="699" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="472" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga23e040ae57d5c4f717b1918eda77ecc5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_EraseSector</definition>
        <argsstring>(uint32_t sectorAddr)</argsstring>
        <name>Cy_Flash_EraseSector</name>
        <param>
          <type>uint32_t</type>
          <declname>sectorAddr</declname>
        </param>
        <briefdescription>
<para>This function erases a sector of flash. </para>        </briefdescription>
        <detaileddescription>
<para>Reports success or a reason for failure. Does not return until the Erase operation is complete. Returns immediately and reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when another process is writing to flash or erasing the row. User firmware should not enter the Hibernate or Deep Sleep mode until flash Erase is complete. The Flash operation is allowed in Sleep mode. During the Flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>sectorAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash write operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="782" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="757" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="473" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga42900a5b1b692efc825083c262cc2d7d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_StartEraseSector</definition>
        <argsstring>(uint32_t sectorAddr)</argsstring>
        <name>Cy_Flash_StartEraseSector</name>
        <param>
          <type>uint32_t</type>
          <declname>sectorAddr</declname>
        </param>
        <briefdescription>
<para>Starts erasing a sector of flash. </para>        </briefdescription>
        <detaileddescription>
<para>Returns immediately and reports a successful start or reason for failure. Reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when IPC structure is locked by another process. User firmware should not enter the Hibernate or Deep Sleep mode until flash Erase is complete. The Flash operation is allowed in Sleep mode. During the flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, the low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Before reading data from previously programmed/erased flash rows, the user must clear the flash cache with the &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga1691f4df41994e7ed9c30ec6495d925f"&gt;Cy_SysLib_ClearFlashCacheAndBuffer()&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>sectorAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash erase operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="842" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="812" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="474" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1gadb9cf4bec4ce4202604823cf0feb70ac" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_EraseSubsector</definition>
        <argsstring>(uint32_t subSectorAddr)</argsstring>
        <name>Cy_Flash_EraseSubsector</name>
        <param>
          <type>uint32_t</type>
          <declname>subSectorAddr</declname>
        </param>
        <briefdescription>
<para>This function erases an 8-row subsector of flash. </para>        </briefdescription>
        <detaileddescription>
<para>Reports success or a reason for failure. Does not return until the Write operation is complete. Returns immediately and reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when another process is writing to flash or erasing the row. User firmware should not enter the Hibernate or Deep-Sleep mode until flash Erase is complete. The Flash operation is allowed in Sleep mode. During the Flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>subSectorAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash write operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="895" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="870" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="475" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga732a0c229dd1acee3b36f1bba0045976" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_StartEraseSubsector</definition>
        <argsstring>(uint32_t subSectorAddr)</argsstring>
        <name>Cy_Flash_StartEraseSubsector</name>
        <param>
          <type>uint32_t</type>
          <declname>subSectorAddr</declname>
        </param>
        <briefdescription>
<para>Starts erasing an 8-row subsector of flash. </para>        </briefdescription>
        <detaileddescription>
<para>Returns immediately and reports a successful start or reason for failure. Reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when IPC structure is locked by another process. User firmware should not enter the Hibernate or Deep-Sleep mode until flash Erase is complete. The Flash operation is allowed in Sleep mode. During the flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, the low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Before reading data from previously programmed/erased flash rows, the user must clear the flash cache with the &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga1691f4df41994e7ed9c30ec6495d925f"&gt;Cy_SysLib_ClearFlashCacheAndBuffer()&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>subSectorAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash erase operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="955" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="925" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="476" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga5218274c43e64791cf28f902d15a355a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_ProgramRow</definition>
        <argsstring>(uint32_t rowAddr, const uint32_t *data)</argsstring>
        <name>Cy_Flash_ProgramRow</name>
        <param>
          <type>uint32_t</type>
          <declname>rowAddr</declname>
        </param>
        <param>
          <type>const uint32_t *</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>This function writes an array of data to a single row of flash. </para>        </briefdescription>
        <detaileddescription>
<para>Reports success or a reason for failure. Does not return until the Program operation is complete. Returns immediately and reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when another process is writing to flash. User firmware should not enter the Hibernate or Deep-sleep mode until flash Write is complete. The Flash operation is allowed in Sleep mode. During the Flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes.<linebreak />
Before calling this function, the target flash region must be erased by the StartErase/EraseRow function.<linebreak />
Data to be programmed must be located in the SRAM memory region. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Before reading data from previously programmed/erased flash rows, the user must clear the flash cache with the &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga1691f4df41994e7ed9c30ec6495d925f"&gt;Cy_SysLib_ClearFlashCacheAndBuffer()&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>rowAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash write operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the data which has to be written to flash. The size of the data array must be equal to the flash row size. The flash row size for the selected device is defined by the <ref kindref="member" refid="group__group__flash__general__macros_1ga407c9c16fafa7275c911133eaf8563a4">CY_FLASH_SIZEOF_ROW</ref> macro. Refer to the device datasheet for the details.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1021" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="995" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="477" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1gafaa220a63444c4e5a5abe9b8c2cec721" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_WriteRow</definition>
        <argsstring>(uint32_t rowAddr, const uint32_t *data)</argsstring>
        <name>Cy_Flash_WriteRow</name>
        <param>
          <type>uint32_t</type>
          <declname>rowAddr</declname>
        </param>
        <param>
          <type>const uint32_t *</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>This function writes an array of data to a single row of flash. </para>        </briefdescription>
        <detaileddescription>
<para>This is done in three steps - pre-program, erase and then program flash row with the input data. Reports success or a reason for failure. Does not return until the Write operation is complete. Returns immediately and reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when another process is writing to flash. User firmware should not enter the Hibernate or Deep-sleep mode until flash Write is complete. The Flash operation is allowed in Sleep mode. During the Flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>rowAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash write operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the data which has to be written to flash. The size of the data array must be equal to the flash row size. The flash row size for the selected device is defined by the <ref kindref="member" refid="group__group__flash__general__macros_1ga407c9c16fafa7275c911133eaf8563a4">CY_FLASH_SIZEOF_ROW</ref> macro. Refer to the device datasheet for the details.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1083" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="1057" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="478" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1gafed287628c010c2258f73c5777b52292" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_StartWrite</definition>
        <argsstring>(uint32_t rowAddr, const uint32_t *data)</argsstring>
        <name>Cy_Flash_StartWrite</name>
        <param>
          <type>uint32_t</type>
          <declname>rowAddr</declname>
        </param>
        <param>
          <type>const uint32_t *</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>Performs pre-program, erase and then starts programming the flash row with the input data. </para>        </briefdescription>
        <detaileddescription>
<para>Returns immediately and reports a successful start or reason for failure. Reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error in the case when another process is writing to flash. User firmware should not enter the Hibernate or Deep-Sleep mode until flash Write is complete. The Flash operation is allowed in Sleep mode. During the flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, the low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Before reading data from previously programmed/erased flash rows, the user must clear the flash cache with the &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga1691f4df41994e7ed9c30ec6495d925f"&gt;Cy_SysLib_ClearFlashCacheAndBuffer()&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>rowAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the flash row number. The Read-while-Write violation occurs when the flash read operation is initiated in the same flash sector where the flash write operation is performing. Refer to the device datasheet for the details. Address must match row start address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the data to be written to flash. The size of the data array must be equal to the flash row size. The flash row size for the selected device is defined by the <ref kindref="member" refid="group__group__flash__general__macros_1ga407c9c16fafa7275c911133eaf8563a4">CY_FLASH_SIZEOF_ROW</ref> macro. Refer to the device datasheet for the details.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1145" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="1119" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="479" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1gafc57348bb2e6922a65826bccad961fed" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_StartProgram</definition>
        <argsstring>(uint32_t rowAddr, const uint32_t *data)</argsstring>
        <name>Cy_Flash_StartProgram</name>
        <param>
          <type>uint32_t</type>
          <declname>rowAddr</declname>
        </param>
        <param>
          <type>const uint32_t *</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>Starts writing an array of data to a single row of flash. </para>        </briefdescription>
        <detaileddescription>
<para>Returns immediately and reports a successful start or reason for failure. Reports a <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae">CY_FLASH_DRV_IPC_BUSY</ref> error if another process is writing to flash. The user firmware should not enter Hibernate or Deep-Sleep mode until flash Program is complete. The Flash operation is allowed in Sleep mode. During the Flash operation, the device should not be reset, including the XRES pin, a software reset, and watchdog reset sources. Also, the low-voltage detect circuits should be configured to generate an interrupt instead of a reset. Otherwise, portions of flash may undergo unexpected changes.<linebreak />
Before calling this function, the target flash region must be erased by the StartEraseRow/EraseRow function.<linebreak />
Data to be programmed must be located in the SRAM memory region. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Before reading data from previously programmed/erased flash rows, the user must clear the flash cache with the &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga1691f4df41994e7ed9c30ec6495d925f"&gt;Cy_SysLib_ClearFlashCacheAndBuffer()&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>rowAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of the flash row number. The Read-while-Write violation occurs when the Flash Write operation is performing. Refer to the device datasheet for the details. The address must match the row start address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the data to be written to flash. The size of the data array must be equal to the flash row size. The flash row size for the selected device is defined by the <ref kindref="member" refid="group__group__flash__general__macros_1ga407c9c16fafa7275c911133eaf8563a4">CY_FLASH_SIZEOF_ROW</ref> macro. Refer to the device datasheet for the details.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation, see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1229" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="1198" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="480" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga436020eae198750c56b93dbabdf6dc6d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_IsOperationComplete</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_Flash_IsOperationComplete</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports a successful operation result, reason of failure or busy status ( <ref kindref="member" refid="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a9ddac0d7038bbdfe57db1acbeac9df82">CY_FLASH_DRV_OPCODE_BUSY</ref> ). </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>Returns the status of the Flash operation (see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>). </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1161" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="1158" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="481" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga29ac711091186d8a7790be298fb6148b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_RowChecksum</definition>
        <argsstring>(uint32_t rowAddr, uint32_t *checksumPtr)</argsstring>
        <name>Cy_Flash_RowChecksum</name>
        <param>
          <type>uint32_t</type>
          <declname>rowAddr</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>checksumPtr</declname>
        </param>
        <briefdescription>
<para>Returns a checksum value of the specified flash row. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Now &lt;a href="group__group__flash__functions.html#group__group__flash__functions_1ga29ac711091186d8a7790be298fb6148b"&gt;Cy_Flash_RowChecksum()&lt;/a&gt; requires the row &lt;b&gt;address&lt;/b&gt; (rowAddr) as a parameter. In previous versions of the driver, this function used the row &lt;b&gt;number&lt;/b&gt; (rowNum) for this parameter.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>rowAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of the flash row.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>checksumPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the address where checksum is to be stored</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1304" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="1249" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="482" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga3f948f4d096b9f93488a889a011bda14" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref></type>
        <definition>cy_en_flashdrv_status_t Cy_Flash_CalculateHash</definition>
        <argsstring>(const uint32_t *data, uint32_t numberOfBytes, uint32_t *hashPtr)</argsstring>
        <name>Cy_Flash_CalculateHash</name>
        <param>
          <type>const uint32_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>numberOfBytes</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>hashPtr</declname>
        </param>
        <briefdescription>
<para>Returns a hash value of the specified region of flash. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>Start the data address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>numberOfBytes</parametername>
</parameternamelist>
<parameterdescription>
<para>The hash value is calculated for the number of bytes after the start data address (0 - 1 byte, 1- 2 bytes etc).</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hashPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the address where hash is to be stored</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the Flash operation. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1366" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="1323" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="483" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga607931427f2d4a2147c7c97ce96577e0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_Flash_GetExternalStatus</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_Flash_GetExternalStatus</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function handles the case where a module such as security image captures a system call from this driver and reports its own status or error code, for example protection violation. </para>        </briefdescription>
        <detaileddescription>
<para>In that case, a function from this driver returns an unknown error (see <ref kindref="member" refid="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496">cy_en_flashdrv_status_t</ref>). After receipt of an unknown error, the user may call this function to get the status of the capturing module.</para><para>The user is responsible for parsing the content of the returned value and casting it to the appropriate enumeration.</para><para><simplesect kind="return"><para>The error code that was stored in the opcode variable. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1576" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="1573" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="484" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__flash__functions_1ga3daa482b7696dcb6e06f0776e0ca725a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Flash_InitExt</definition>
        <argsstring>(cy_stc_flash_notify_t *ipcWaitMessageAddr)</argsstring>
        <name>Cy_Flash_InitExt</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__flash__notify__t">cy_stc_flash_notify_t</ref> *</type>
          <declname>ipcWaitMessageAddr</declname>
        </param>
        <briefdescription>
<para>Initiates all needed prerequisites to support flash erase/write. </para>        </briefdescription>
        <detaileddescription>
<para>Should be called from each core. Defines the address of the message structure.</para><para>Requires a call to <ref kindref="member" refid="group__group__ipc__sema__functions_1ga1cbc3b147c650c8716de10a1ee8423bd">Cy_IPC_Sema_Init()</ref>, <ref kindref="member" refid="group__group__ipc__pipe__functions_1ga7a1c8f1e92e74f27856ef2b7ac09c640">Cy_IPC_Pipe_Config()</ref> and <ref kindref="member" refid="group__group__ipc__pipe__functions_1gafb7fa479327e6d7c282c262bc1dc6c8c">Cy_IPC_Pipe_Init()</ref> functions before use.</para><para>This function is called in the <ref kindref="member" refid="group__group__flash__functions_1gaf1b44a029169a1baa08e211bff714a19">Cy_Flash_Init()</ref> function - see the <ref kindref="member" refid="group__group__flash__functions_1gaf1b44a029169a1baa08e211bff714a19">Cy_Flash_Init</ref> usage considerations. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="259" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_flash.c" bodystart="229" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="487" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>